#include <bits/stdc++.h>

using namespace std;

int main()
{
    string dva_slova;
    cin>>dva_slova;

    int a1,a2;
    cin>>a1>>a2;

    if (a1==a2)
    {
        for (int i1=0;i1<a1;i1++)
        {
            cout<<dva_slova;
        }
    }

    else
    {
        cout<<"nemoguce";
    }
}